#include <bits/stdc++.h>

using namespace std;

long long niz[1005];

int main(){

    long long n, l;
    long long br = 1;

    cin >> n >> l;

    for(int i = 1; i <= n; i++){
        cin >> niz[i];
    }

    for(int i = 1; i <= n; i++){
        if(l < niz[i]){
            br++;
        }

        if(l >= niz[i]){
            break;
        }

        if(br > n){
            br = -1;
        }
    }

    cout << br << endl;

    return 0;
}